package com.assimilate.alltrans.mydb;

public class Translations {
    private long id;
    private String sourceLanguage;
    private String sourceTxt;
    private String targetLanguage;
    private String targetTxt;
    private long currentTimeMillis;
    private int exist;
    private int collection;

    public Translations(long id, String sourceLanguage, String sourceTxt, String targetLanguage, String targetTxt, long currentTimeMillis, int exist, int collection) {
        this.id = id;
        this.sourceLanguage = sourceLanguage;
        this.sourceTxt = sourceTxt;
        this.targetLanguage = targetLanguage;
        this.targetTxt = targetTxt;
        this.currentTimeMillis = currentTimeMillis;
        this.exist = exist;
        this.collection = collection;
    }

    public Translations(String sourceLanguage, String sourceTxt, String targetLanguage, String targetTxt) {
        this.sourceLanguage = sourceLanguage;
        this.sourceTxt = sourceTxt;
        this.targetLanguage = targetLanguage;
        this.targetTxt = targetTxt;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getSourceLanguage() {
        return sourceLanguage;
    }

    public void setSourceLanguage(String sourceLanguage) {
        this.sourceLanguage = sourceLanguage;
    }

    public String getSourceTxt() {
        return sourceTxt;
    }

    public void setSourceTxt(String sourceTxt) {
        this.sourceTxt = sourceTxt;
    }

    public String getTargetLanguage() {
        return targetLanguage;
    }

    public void setTargetLanguage(String targetLanguage) {
        this.targetLanguage = targetLanguage;
    }

    public String getTargetTxt() {
        return targetTxt;
    }

    public void setTargetTxt(String targetTxt) {
        this.targetTxt = targetTxt;
    }

    public long getCurrentTimeMillis() {
        return currentTimeMillis;
    }

    public void setCurrentTimeMillis(long currentTimeMillis) {
        this.currentTimeMillis = currentTimeMillis;
    }

    public int getExist() {
        return exist;
    }

    public void setExist(int exist) {
        this.exist = exist;
    }

    public int getCollection() {
        return collection;
    }

    public void setCollection(int collection) {
        this.collection = collection;
    }
}
